package cn.superdesk.uniorder.service.unified;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedEncourage;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedServiceGroup;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedEncouragePage;
import cn.superdesk.uniorder.dto.vo.wechat.WxChannelItemList;
import cn.superdesk.uniorder.service.base.BaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface UnifiedEncourageService extends BaseService<UnifiedEncourage> {

	R<List<UnifiedEncouragePage>> getPage(Map<String, Object> params, int pageNum, int pageSize);

	UnifiedServiceGroup findServiceGroupByCode(String businessCode);

	BigDecimal getAmountProfit(Map<String, Object> amountProfitQuery);

	BigDecimal getAmountEncourage(Map<String, Object> amountProfitQuery);

	BigDecimal getOrderAmount(Map<String, Object> amountQuery);

	Integer getVirtCountByChannelId(Map<String, Object> virtCountQuery);

	BigDecimal getAmountBack(Map<String, Object> amountProfitQuery);

	BigDecimal getAmountGetCash(Map<String, Object> amountGetCashQuery);

	List<WxChannelItemList> getChannelItemList(Map<String, Object> channelListQuery);

	List<UnifiedEncouragePage> getEncourageList(Map<String, Object> amountGetCashQuery);
}
